
Infrastructure - Task #3289

Update eml keyword indexing to separate keyword values

2012-10-03 03:05 - Skye Roseboom

Status: Rejected Start date: 2012-10-03

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 0%

Category: d1_indexer Estimated time: 0.50 hour

Target version: Sprint-2012.41-Block.6.1   

Milestone: CCI-1.1 Story Points:  

Product Version: *   

Description

Several uses of single keyword value (on production index) that actually contain multiple keywords separated by ":" character. 

Update indexing rule to separate each keyword.

For example: 

EARTH SCIENCE : Oceans : Ocean Temperature : Water Temperature

would become 4 separate keyword values.

History

#1 - 2012-10-03 14:50 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2012-10-03 14:52 - Skye Roseboom

- Status changed from In Progress to Testing

updating applicationContext-base-eml.xml keyword processing rule to split the keyword strings into keywords around ':' character if it exists in the eml

keywork.

updated unit test to reflect new keyword parsing.

pushed updated application context file to build out.

#3 - 2012-10-05 14:09 - Skye Roseboom

- Status changed from Testing to In Progress

#4 - 2012-10-05 14:10 - Skye Roseboom

- Status changed from In Progress to Rejected

- translation missing: en.field_remaining_hours changed from 0.5 to 0.0

Removed this change.  Type of update to keyword parsing will need to be reviewed and approved.
